<resources>
    <string name="app_name" translatable="false">Adhell3</string>
    <string name="domain_rules_status">Domain rules are</string>
    <string name="domain_rules_enabled">Domain rules are enabled</string>
    <string name="domain_rules_disabled">Domain rules are disabled</string>
    <string name="domain_info">Blacklist: 0 domains | Whitelist: 0 domains and 0 apps</string>
    <string name="domain_info_placeholder">Blacklist: %1$d domains | Whitelist: %2$d domains and %3$d apps</string>
    <string name="firewall_rules_status">Firewall rules are</string>
    <string name="firewall_rules_enabled">Firewall rules are enabled</string>
    <string name="firewall_rules_disabled">Firewall rules are disabled</string>
    <string name="firewall_rules_info">Mobile data: 0 apps | Wi-Fi data: 0 apps | Custom: 0 apps</string>
    <string name="firewall_rules_info_placeholder">Mobile data: %1$d apps | Wi-Fi data: %2$d apps | Custom: %3$d apps</string>
    <string name="app_disabler_status">App disabler is</string>
    <string name="app_disabler_enabled">App disabler is enabled</string>
    <string name="app_disabler_disabled">App disabler is disabled</string>
    <string name="app_disabler_info">0 apps are disabled</string>
    <string name="app_disabler_info_placeholder">%1$d apps are disabled</string>
    <string name="app_component_status">App components are</string>
    <string name="app_component_enabled">App components are enabled</string>
    <string name="app_component_disabled">App components are disabled</string>
    <string name="app_component_toggle_info">0 permissions, 0 services, 0 receivers,</string>
    <string name="app_component_toggle_info_placeholder">%1$d permissions, %2$d services, %3$d receivers,</string>
    <string name="app_component_toggle_info2">0 activities and 0 providers are disabled</string>
    <string name="app_component_toggle_info_placeholder2">%1$d activities and %2$d providers are disabled</string>
    <string name="adhell_not_supported">Adhell3 is not yet supported on your device.</string>
    <string name="license_key">KPE license key</string>
    <string name="activate">Activate</string>
    <string name="deactivate">Deactivate</string>
    <string name="change_license">Change License</string>
    <string name="activate_license">Activate License</string>
    <string name="deactivate_license">Deactivate License</string>
    <string name="license_activated">License Activated</string>
    <string name="enable_admin">Enable Admin</string>
    <string name="admin_enabled">Admin Enabled</string>
    <string name="no_internet_connection">Your device is not connected to the Internet.</string>
    <string name="activating_knox_license">Activating…</string>
    <string name="deactivating_knox_license">Deactivating…</string>
    <string name="block_button_text_turn_off">Turn Off</string>
    <string name="block_button_text_turn_on">Turn On</string>
    <string name="whitelist_info">
        Whitelist domains to bypass the firewall.
        \nToggle Domain rules to apply changes.
    </string>
    <string name="delete_app">Disable and delete adhell3</string>
    <string name="delete_app_summary">Disable all features and uninstall adhell3</string>
    <string name="delete_app_dialog_title">Delete adhell3</string>
    <string name="delete_app_dialog_text">Do you really want to uninstall adhell3 and enable all disabled apps?</string>
    <string name="dns_1_address">DNS 1 Address</string>
    <string name="dns_2_address">DNS 2 Address</string>
    <string name="set_dns_button_text">Set DNS</string>
    <string name="dns_info">
        Edit DNS only if you know the issues it can cause.
        \nToggle Domain rules to apply changes.
    </string>
    <string name="dump_domains_title">Dump Domains In Database</string>
    <string name="export_domains_title">Export Unique Domains</string>
    <string name="blacklist_info">
        Blacklist domains.
        \nToggle Domain rules to apply domain changes.
    </string>
    <string name="dialog_blacklist_domain_title">Add Domain</string>
    <string name="dialog_blacklist_domain_info">Domain rule support wildcards: *facebook.com</string>
    <string name="firewall_info">
        Firewall rules.
        \nToggle Firewall rules to apply firewall changes.
    </string>
    <string name="dialog_firewall_rule_title">Add Firewall Rule</string>
    <string name="dialog_firewall_rule_info">
        Firewall rule format for allow, deny and redirect exception:
        \npackageName|ipAddress|port|mode
        \nMode is single letter from: (A)llow, (D)eny, redirect_(E)xception
        \n
        \nBlock port 53 for every IP in Chrome:
        \ncom.android.chrome|*|53|D
        \nAllow port 53 for every IP for every app:
        \n*|*|53|A
        \nExclude Chrome HTTP redirect (from example below):
        \ncom.android.chrome|*|80|E
        \n
        \nFor redirect format is:
        \npackageName|sourceIpAddress:port|targetIpAddress:port|mode
        \n
        \nRedirect all HTTP traffic to localhost on port 8000:
        \n*|*:80|127.0.0.1:8000|R
        \n
        \nRedirect and redirect_exception only accepts ipv4
        \nAllow rule always has higher priority than deny
    </string>
    <string name="dialog_whitelist_domain_title">Add Domain</string>
    <string name="dialog_whitelist_domain_info">
        Domain rule support wildcards: *facebook.com
        \n
        \nDomain rule format for a specific app:
        \npackageName|domain
    </string>
    <string name="dialog_add_remote_provider_title">Add Remote Provider</string>
    <string name="dialog_add_hosts_file_title">Add Hosts File</string>
    <string name="dialog_add_hosts_file_info">
        Adding hosts file from a cloud storage will require cloud provider app.
        \nTo access cloud providers click on "three short lines" on the top left corner of the file picker.
        \nTo refresh the hosts file from cloud storage, files in the cloud provider app must be refreshed first.
    </string>
    <string name="dialog_enable_components_title">Enable All Components</string>
    <string name="dialog_enable_components_info">
        This will enable all apps\' components.
        \nSamsung Knox doesn\'t have an API to clear disabled components.
        \nTherefore, if they are still disabled after this operation, you need to uninstall adhell3 to enable them.
        \n\nDo you really want to enable all apps\' components?
    </string>
    <string name="dialog_system_app_components_title">System apps are listed</string>
    <string name="dialog_system_app_components_info">Beware when disabling SYSTEM apps\' components. You might end up with a factory reset!</string>
    <string name="dialog_toggle_title">Custom DNS for All Apps</string>
    <string name="dialog_toggle_info">
        Do you really want to apply or remove custom DNS for all apps?
        \nApplying custom DNS to all apps might cause your internet connection to malfunction.
    </string>
    <string name="dialog_add_to_whitelist_question">Add the selected domain to your whitelist?</string>
    <string name="dialog_storage_permission_title">Storage permission needed</string>
    <string name="dialog_storage_permission_summary">
        Adhell3 needs storage access to function properly.
        \nPick a folder in the next window where Adhell3 will have read and write access.</string>
    <string name="home_bottombar_title" translatable="false">Home</string>
    <string name="package_disabler_fragment_title">Disable Apps</string>
    <string name="apps_management_bottombar_title">Apps</string>
    <string name="domains_bottombar_title">Domains</string>
    <string name="last_day_blocked">Domains blocked in past %1$d hours: %2$d</string>
    <string name="check_input_dns">Invalid DNS format.</string>
    <string name="changed_dns">DNS addresses have been set. Toggle Domain rules to apply changes.</string>
    <string name="restored_dns">DNS has been restored to defaults. Toggle Domain rules to apply changes.</string>
    <string name="mixed_dns">Primary and Secondary DNS cannot be mixed IPv4 and IPv6.</string>
    <string name="delete_url">Delete URL</string>
    <string name="provider_info">
        In addition to adhell3\'s standard package, you can add links to remote and local hosts lists.
        \nAdhell3 can block up to %1$d unique domains.
        \nToggle Domain rules to apply changes.
    </string>
    <string name="total_unique_domains">Total unique domains: %1$d</string>
    <string name="others_bottombar_title">Other</string>
    <string name="mobile_restricter_fragment_title">Mobile Data</string>
    <string name="wifi_restricter_fragment_title">Wi-Fi Data</string>
    <string name="enabled_all_apps">Enabling all apps…</string>
    <string name="total_domains">Total domains: 0</string>
    <string name="total_domains_placeholder">Total domains: %1$d</string>
    <string name="package_disabler_info">
        Disabling system apps may cause the device to malfunction.
        \nIf app disabler toggle is enabled, changes take effect immediately.
    </string>
    <string name="mobile_restricter_info">
        Block or allow an app\'s mobile data usage.
        \nToggle Firewall rules to apply changes.
    </string>
    <string name="wifi_restricter_info">
        Block or allow an app\'s Wi-Fi data usage.
        \nToggle Firewall rules to apply changes.
    </string>
    <string name="whitelisted_app_info">
        Whitelist an app to bypass the firewall.
        \nToggle Domain rules to apply changes.
    </string>
    <string name="app_component_info">
        Disable app components (permissions, activities, services, receivers and providers).
        \nIf app component toggle is enabled, changes take effect immediately.
    </string>
    <string name="app_permission_info">
        Only protection level of \'dangerous\' can be disabled.
        \nDisabling a permission will also disable other permissions from the same group.
        \nDisabling permissions is NOT supported on Android 12 and up
    </string>
    <string name="app_activity_info">
        Disabling an activity may crash the app.
        \nIf the disabled activities don\'t appear below, you need to reinstall the app.
    </string>
    <string name="app_service_info">
        Disabling a service may crash the app.
        \nIf the disabled services don\'t appear below, you need to reinstall the app.
    </string>
    <string name="app_receiver_info">
        Disabling a receiver may crash the app.
        \nIf the disabled receivers don\'t appear below, you need to reinstall the app.
    </string>
    <string name="app_content_provider_info">
        Disabling a content provider may crash the app.
        \nIf the disabled content providers don\'t appear below, you need to reinstall the app.
    </string>
    <string name="backup">Backup</string>
    <string name="uninstall">Uninstall</string>
    <string name="backup_database">Backup Database</string>
    <string name="backup_database_summary">Backup all settings into a backup file in internal storage.</string>
    <string name="restore_database">Restore Database</string>
    <string name="restore_database_summary">Restore all settings from a backup file. A \'storage\' permission needs to be granted.</string>
    <string name="whitelist_fragment_title">App Whitelist</string>
    <string name="firewall_url_fragment_titile">Firewall</string>
    <string name="blacklist_url_fragment_title">Blacklist</string>
    <string name="whitelist_url_fragment_title">Whitelist</string>
    <string name="provider_url_fragment_title">Providers</string>
    <string name="list_url_fragment_title">List</string>
    <string name="app_component_fragment_title">Components</string>
    <string name="dns_fragment_title">DNS</string>
    <string name="restrictions_fragment_title">Restrictions</string>
    <string name="settings_fragment_title">Settings</string>
    <string name="enable_apps_dialog_title">Enable All Apps</string>
    <string name="enable_apps_dialog_text">Do you really want to enable all apps?</string>
    <string name="enable_apps_component_dialog_title">Enable all %1$s</string>
    <string name="enable_apps_component_dialog_text">Do you really want to enable all %1$s?</string>
    <string name="delete_provider_dialog_title">Delete Provider</string>
    <string name="delete_provider_dialog_text">Do you really want to delete the provider?</string>
    <string name="delete_domain_dialog_title">Delete Domain</string>
    <string name="delete_domain_dialog_text">Do you really want to delete the domain?</string>
    <string name="delete_firewall_dialog_title">Delete Firewall rule</string>
    <string name="delete_firewall_dialog_text">Do you really want oto delete the firewall rule?</string>
    <string name="backup_database_dialog_title">Backup Database</string>
    <string name="backup_database_dialog_text">Do you really want to backup the database and replace any existing backup?</string>
    <string name="restore_database_dialog_title">Restore Database</string>
    <string name="restore_database_dialog_text">Do you really want to restore the database and replace your entire setup?</string>
    <string name="not_supported_dialog_title">App Not Supported</string>
    <string name="no_internet_connection_dialog_title">No Internet Connection</string>
    <string name="version">Version %1$s</string>
    <string name="permission_fragment_title">Permissions</string>
    <string name="activity_fragment_title">Activities</string>
    <string name="service_fragment_title">Services</string>
    <string name="receiver_fragment_title">Receivers</string>
    <string name="content_provider_fragment_title">Providers</string>
    <string name="dialog_set_dns_title">Set DNS</string>
    <string name="dialog_set_dns_info">
        Set primary and secondary DNS.
        \nSupports both IPv4 and IPv6 but THEY CANNOT BE MIXED.
        \nIPv6 DNS will simply fall back to default when network is only IPv4.
        \n
        \nLeave it empty to restore to default.
    </string>
    <string name="dialog_local_hosts_title">Hosts files</string>
    <string name="dialog_local_hosts_info">
        Select a hosts file.
        \nThe file should be located in adhell3 directory and its file name should start with hosts*.
        \nOnly the first 5 files are listed.
    </string>

    <string name="google_category">Google</string>
    <string name="allow_google_sync">Allow Google Account Sync</string>
    <string name="allow_google_sync_summary">Allow or disallow auto sync for Google accounts.</string>
    <string name="allow_google_crash">Allow Google Crash Report</string>
    <string name="allow_google_crash_summary">Allow or disallow sending a crash report to Google.</string>
    <string name="allow_google_backup">Allow Google Backup</string>
    <string name="allow_google_backup_summary">Allow or disallow backing up to Google servers.</string>
    <string name="allow_non_market_app">Allow Non Market Apps</string>
    <string name="allow_non_market_app_summary">Allow or disallow installation of non-Google-Play applications.</string>

    <string name="hardware_category">Hardware</string>
    <string name="allow_camera">Allow Camera</string>
    <string name="allow_camera_summary">Allow or disallow the camera. Other applications that use the camera cannot use it. It disables the photo camera, video camera, and video telephony functionality.</string>
    <string name="allow_microphone">Allow Microphone</string>
    <string name="allow_microphone_summary">Allow or disallow microphone. It disables only the microphone used for recording, not the phone application microphone.</string>
    <string name="allow_audio_record">Allow Audio Recording</string>
    <string name="allow_audio_record_summary">Allow or disallow audio recording. The device microphone is still available after disabling audio recording so that the user can make calls and use audio streaming. Video recording is still allowed if no audio recording is attempted.</string>
    <string name="allow_video_record">Allow Video Recording</string>
    <string name="allow_video_record_summary">Allow or disallow video recording. The device camera is still available after disabling video recording so that user can take pictures and use video streaming.</string>
    <string name="allow_usb_host">Allow USB Host Storage</string>
    <string name="allow_usb_host_summary">Allow or disallow the usage of USB host storage via USB OTG.</string>

    <string name="connections_category">Connections</string>
    <string name="allow_mobile_data">Allow Mobile Data</string>
    <string name="allow_mobile_data_summary">Allow or disallow mobile data connections.</string>
    <string name="allow_wifi_access">Allow Wi-Fi Access</string>
    <string name="allow_wifi_access_summary">Allow or disallow Wi-Fi access. Wi-Fi Direct and S-Beam features which depend on this policy will also be affected by this setting. Even with disabled Wifi access, Wifi scanning is still possible.</string>
    <string name="allow_bluetooth">Allow Bluetooth</string>
    <string name="allow_bluetooth_summary">Allow or disallow Bluetooth access. User or third-party applications cannot enable Bluetooth access once it is disabled. Even with disabled Bluetooth access, BLE scanning is still possible.</string>
    <string name="allow_tethering">Allow Tethering</string>
    <string name="allow_tethering_summary">Allow or disallow the device from sharing its carrier data with another device through USB, WiFi, and Bluetooth.</string>

    <string name="miscellaneous_category">Miscellaneous</string>
    <string name="allow_clipboard">Allow Clipboard</string>
    <string name="allow_clipboard_summary">Allow or disallow any editing functions that require access to the clipboard, including cut, copy, and paste operations.</string>
    <string name="allow_clipboard_share">Allow Clipboard Share</string>
    <string name="allow_clipboard_share_summary">Allow or disallow sharing the clipboard between applications.</string>
    <string name="allow_screen_capture">Allow Screen Capture</string>
    <string name="allow_screen_capture_summary">Allow or disallow a user from taking screenshots of the device screen.</string>

    <string name="update_provider_title">Update host providers</string>
    <string name="update_provider_summary">Update host providers when enabling domain rules</string>
    <string name="dialog_set_password_title">Set password</string>
    <string name="dialog_set_password_summary">Protect this app with a password</string>
    <string name="dialog_enter_password_title">Enter password</string>
    <string name="dialog_enter_password_summary">Enter the password to use this app</string>
    <string name="dialog_wrong_password">The password is wrong!</string>
    <string name="dialog_empty_password">The password cannot be empty!</string>
    <string name="dialog_password_not_matched">The passwords do not matched!</string>
    <string name="set_password_title">Protect adhell3 with a password</string>
    <string name="set_password_summary">If you forget the password, you need to uninstall adhell3.</string>
    <string name="set_night_mode">Night Mode</string>
    <string name="set_night_mode_summary">Enable dark theme for adhell3</string>
    <string name="create_logcat_title">Create logcat</string>
    <string name="create_logcat_summary">Create logcat on internal storage for debugging purpose.</string>
    <string name="logcat_created">Logcat \'%1$s\' has been created.</string>
    <string name="logcat_not_created">Logcat cannot be created.</string>
    <string name="change_key_title">Change license key</string>
    <string name="change_key_summary">Show activation dialog to change the license key.</string>
    <string name="about_title">About</string>
    <string name="about_summary">About adhell3</string>
    <string name="about_content">Adhell3 is merely an app that is using the Samsung Knox SDK APIs.
        \n
        \nScript to build apk:
        \n<a href="https://gitlab.com/fusionjack/adhell3-scripts">https://gitlab.com/fusionjack/adhell3-scripts</a>
        \n
        \nSource code:
        \n<a href="https://gitlab.com/fusionjack/adhell3">https://gitlab.com/fusionjack/adhell3</a>
        \n
        \nAdhell3 is licensed under a <a href="http://creativecommons.org/licenses/by-nc/4.0/">Creative Commons Attribution-NonCommercial 4.0 International License.</a>
    </string>
    <string name="about_sub_content">
        \nBuild version: %1$s
        \nBuild date: %2$s
        \nKnox API: %3$d
        \nAndroid API: %4$d
        \nIs Device Owner: %5$s
    </string>
    <string name="dialog_appcomponent_batch_title">Batch Operation</string>
    <string name="dialog_appcomponent_batch_summary">The apps\' components defined in adhell3_*.txt will be used.
        \nDo you want to enable or disable those apps\' components?</string>
    <string name="dialog_appcomponent_enable_summary">Enabling apps\' components, please wait …</string>
    <string name="dialog_appcomponent_disable_summary">Disabling apps\' components, please wait …</string>
    <string name="dialog_appcomponent_batch_app_summary">The app\'s %1$s defined in adhell3_%1$s.txt will be used.
        \nDo you want to enable or disable %1$s for %2$s?</string>
    <string name="dialog_appcomponent_app_enable_summary">Enabling app\'s %1$s, please wait …</string>
    <string name="dialog_appcomponent_app_disable_summary">Disabling app\'s %1$s, please wait …</string>
    <string name="button_enable">Enable</string>
    <string name="button_disable">Disable</string>
    <string name="menu_enable_all">Enable all</string>
    <string name="menu_batch">Batch operation</string>
    <string name="menu_show_disabled_only">Show disabled only</string>
    <string name="menu_show_all">Show all</string>
    <string name="menu_hide_system">Hide system apps</string>
    <string name="menu_show_system">Show system apps</string>
    <string name="menu_hide_stopped">Hide stopped apps</string>
    <string name="menu_show_stopped">Show stopped apps</string>
    <string name="menu_stop_app">Stop app</string>
    <string name="menu_wipe_app_data">Wipe app data</string>
    <string name="menu_copy_package_name_to_clipboard">Copy package name to clipboard</string>
    <string name="error">Error</string>
    <string name="info">Info</string>
    <string name="restore_database_finished">
        Restore database is finished.
        \nGo to \'Home\' tab and turn on Knox functionality.
        \nDue to lack of required permissions to restore local/cloud hosts files,
        \nthe user is required to readd the local/cloud hosts files manually after a restore.
    </string>
    <string name="dialog_device_admin_title">Device Administrator</string>
    <string name="dialog_device_admin_info">
        Adhell3 uses KNOX APIs which require device Administrator permission, to enable Adhell3 you must activate Admin mode for it.
    </string>
    <string name="turn_on_admin">Turn On Admin</string>
    <string name="dialog_license_info">
        Adhell3 utilizes Knox SDK which requires a KPE key.
        \nKPE Development Limited cannot be used as it doesn\'t have needed permissions.
    </string>
    <string name="wipe_app_data_title">Wipe application data</string>
    <string name="wipe_app_data_info">Do you really want to wipe the application data?</string>
    <string name="delete_proxy">Delete Proxy</string>
    <string name="proxy_fragment_title">Proxy</string>
    <string name="proxy_info">Set http proxy. Proxy may not be considered by some applications (e.g. applications that directly open a socket with the final server).
        \nSome apps might throw SSL errors even if you trust proxy\'s certificate.
        \nApps might retry connections without using the proxy whenever it\'s unreachable or the authentication fails.
        \nProxy bypasses android\'s VPN.
    </string>
    <string name="dialog_static_proxy_title">Add Static Proxy</string>
    <string name="delete_proxy_dialog_title">Delete Proxy?</string>
    <string name="delete_proxy_dialog_text">Do you really want to delete the Proxy?</string>
    <string name="dialog_proxy_info">Only some input is validated. Wrong values might fail to apply when enabling proxy or simply not work.</string>
    <string name="edit_proxy_title">Edit Proxy</string>
    <string name="menu_copy_to_clipboard">Copy to clipboard</string>
    <string name="menu_append_batch">Add to batch file</string>
    <string name="menu_launch_activity">Launch activity</string>
    <string name="dialog_launch_activity_title">Launch Activity</string>
    <string name="dialog_launch_activity_text">Do you really want to launch activity %1$s?</string>
    <string name="clear_do">Clear Device Owner</string>
    <string name="clear_do_summary">Clear device owner to allow deactivation of admin</string>
    <string name="clear_do_dialog_title">Clear Device Owner</string>
    <string name="clear_do_dialog_text">Do you really want to clear device owner?</string>
    <string name="do_fix">Enable Google Backup</string>
    <string name="do_fix_summary">Fix Google Backup when Device Owner is granted</string>
    <string name="do_fix_dialog_title">Enable Google Backup</string>
    <string name="do_fix_dialog_text">Do you really want to enable Google Backup?</string>
    <string name="grant_do">Grant Device Owner</string>
    <string name="grant_do_summary">Grant Device Owner using Shizuku</string>
    <string name="shizuku_dialog_title">Grant Device Owner</string>
    <string name="shizuku_dialog_summary">Grant Device Owner using Shizuku to allow usage of restricted features on Android 15 and later.
        \n<b>Before proceeding read explanation under</b>
        \n<a href="https://gitlab.com/fusionjack/adhell3/-/blob/master/device_owner.md">https://gitlab.com/fusionjack/adhell3/-/blob/master/device_owner.md</a>
    </string>
    <string name="grant">Grant</string>
    <string name="granting">Granting…</string>
    <string name="check_do_requirements">Check Requirements</string>
    <string name="checking_do_requirements">Checking…</string>
    <string name="do_requirements_dialog_title">Device Owner Requirements</string>
    <string name="do_requirements_dialog_summary">Device Owner requirements are not met or not checked. Continue anyway?</string>
    <string name="shizuku_dialog_open_accounts">Open Accounts Settings</string>
    <string name="do_transfer">Transfer Device Owner</string>
    <string name="do_transfer_dialog_title">Transfer Device Owner</string>
    <string name="do_transfer_dialog_summary">Transfer Device Owner to another app.
        \nThe target app must support this and have admin activated.
        \nIf the app can transfer back, this feature can be used to uninstall Adhell3 without clearing Device Owner.
    </string>
    <string name="do_transfer_dialog_hint">Target component name</string>
    <string name="transfer_do">Transfer</string>
</resources>
